POST
/identity/v2/sessionsCreate session
The identity/v2/sessions endpoint allows you to create a new identity validation session for Legal Entities, based on one of our validation flows, and returns a unique identifier for it.
Available parameters
Variant:
This endpoint accepts multiple body types. Select a variant to see its parameters and example.
Header Parameters
AuthorizationStringrequired
Cuerpo de solicitud
application/jsonflow_typeenumrequired
countryenumrequired
integration_methodenumrequired
dataobjectrequired3 properties
Response details
Ejemplo de solicitud
{
"flow_type": "kyb-cards",
"country": "BRA",
"integration_method": "API",
"data": {
"company": {
"id": "cmp-2HPUYx0n9USSNwSkP5G0gY1I2TO",
"is_mei": true,
"fiscal_id": "29.086.892/0001-77",
"annual_income": 2000,
"legal_nature": 2135
},
"partners": [
{
"id": "usr-2HPUYx0n9USSNwSkP5G0gY1I2TO",
"partner_type": "legal-representative-main",
"company_relationship": [
"CompanyName"
],
"corporate_participation": [
"example_value"
],
"fiscal_id": "123.456.789-10",
"full_name": "Diego Pomelo",
"birthdate": "1998-08-20",
"nationality": "BRA",
"mother_name": "Maria Pomelo",
"phone": "+55 11 97487 2510",
"pep": false,
"salary": 48000,
"address": {
"street_name": "Pennsylvania Av",
"street_number": 300,
"complement": "A",
"zip_code": "12345-678",
"neighborhood": "Washington DC"
}
}
],
"terms_data": {
"version": "1",
"accept": true,
"date": "2022-05-13T19:47:13.340Z"
}
}
}Ejemplo de código
curl -X POST "https://api.pomelo.la/identity/v2/sessions" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{
"flow_type": "kyb-cards",
"country": "BRA",
"integration_method": "API",
"data": {
"company": {
"id": "cmp-2HPUYx0n9USSNwSkP5G0gY1I2TO",
"is_mei": true,
"fiscal_id": "29.086.892/0001-77",
"annual_income": 2000,
"legal_nature": 2135
},
"partners": [
{
"id": "usr-2HPUYx0n9USSNwSkP5G0gY1I2TO",
"partner_type": "legal-representative-main",
"company_relationship": [
"CompanyName"
],
"corporate_participation": [
"example_value"
],
"fiscal_id": "123.456.789-10",
"full_name": "Diego Pomelo",
"birthdate": "1998-08-20",
"nationality": "BRA",
"mother_name": "Maria Pomelo",
"phone": "+55 11 97487 2510",
"pep": false,
"salary": 48000,
"address": {
"street_name": "Pennsylvania Av",
"street_number": 300,
"complement": "A",
"zip_code": "12345-678",
"neighborhood": "Washington DC"
}
}
],
"terms_data": {
"version": "1",
"accept": true,
"date": "2022-05-13T19:47:13.340Z"
}
}
}'Ejemplo de respuesta (201)Session created
{
"data": {}
}